Subject: bug#62194: 30.0.50; Two Eglot-over-Tramp tests are failing on master, passing on emacs-29

From: Michael Albinus <[email-masked]>
Date: Wed, 15 Mar 2023 10:40:32 +0100

João Távora <[email-masked]> writes:

> Hi Michael,

Hi João,

> I've noticd that these two Eglot tests are passing on emacs-29 but
> failing on emacs master.  I haven't checked if this is due to your
> recent work on Tramp or some other factor.
>
> Sometimes one of the tests passes, but having the two of them pass is
> rare.  In emacs-29, they always pass.  Both emacs-master and emacs-29
> have the version of Eglot _with_ the ControlMaster-neutering workaround.
>
> To reproduce, you need the "clangd" language server installed (which is
> one of the easiest to get language servers, should be available in your
> package manager).
>
> Then:
>
>    make -C test lisp/progmodes/eglot-tests SELECTOR=\"tramp\"

FTR, the following woulöd be sufficient:

--8<---------------cut here---------------start------------->8---
make -C test eglot-tests ...
--8<---------------cut here---------------end--------------->8---

Well, if I call it w/o a SELECTOR, I get 14 failing tests. clangd is
installed:

--8<---------------cut here---------------start------------->8---
# which clangd
/var/lib/snapd/snap/bin/clangd
--8<---------------cut here---------------end--------------->8---

This might not be the canonical path, but at least the local tests shall
find it. I'm running Fedora 37. Could you, pls, check? The log file is appended.

> João

Best regards, Michael.